/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

.ehf-header #masthead {
	min-height: 88px;
}

.top-header {
	position: fixed;
	top: 0!important;
}

/* Blog Style */
.featured-post-image {
    object-fit: cover;
    min-height: 350px;
    max-height: 550px;
    width: 100%;
}

.glob-main .featured-post-image {
    border-radius: 20px;
}

.info-container-post {
    display: flex;
    justify-content: space-between;
    gap: 20px;
    padding: 20px 0px;
    border-bottom: 1px solid #67676724;
    border-top: 1px solid #67676724;
    margin-bottom: 30px;
}

.info-container-post p {
    font-size: 16px;
    margin-bottom: 0px;
    color: var(--e-global-color-c47cb52);
}

#post-content {
    padding: 40px 20px;
    max-width: 900px;
}

#post-content .entry-title {
    font-size: 45px;
    margin: 0px 0px 30px;
    padding: 0px;
    color: var(--e-global-color-c47cb52);
}

#post-content h2 {
    font-size: 32px;
}

#post-content h3 {
    font-size: 24px;
    color: var(--e-global-color-c47cb52);
}

#post-content h4 {
    font-size: 22px;
    color: var(--e-global-color-c47cb52);
}

#post-content h5 {
    color: var(--e-global-color-c47cb52);
}

#post-content {
    color: #3F3F3F;
}

#post-content ul {
    margin-bottom: 20px;
}

.grid-posts {
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    gap: 20px;
}

.grid-posts .post {
    border-radius: 12.967px;
    border: 1.081px solid #3F3F3F2B;
    background: #FFF;
    padding: 18px;
}

.author-date {
    display: flex;
    gap: 20px;
    justify-content: space-between;
    font-size: 18px;
}

.blog .post .entry-title a {
    color: #0D1F46;
}

.blog-main .featured-post a {
    margin-top: 10px;
    font-size: 18px;
    padding: 18px 35px;
}

.featured-post {
    height: 100%;
    margin-bottom: 40px;
    display: grid;
    align-items: center;
    border-bottom: 1px solid #E8E8EA;
    padding-bottom: 55px;
    grid-template-columns: 45% auto;
    gap: 40px;
}

.blog-main,
.post-container {
    max-width: 100% !important;
    padding: 60px 20px 60px;
}

.blog-main {
    border-top: 1px solid #3F3F3F2B;
    margin: 0 !important;
}

.blog-main .blog-content {
    max-width: 1320px !important;
    margin: auto;
}

h2.content-title-blog {
    margin-bottom: 35px;
    font-size: 35px;
}

.blog-pagination .page-numbers {
    display: flex;
    list-style: none;
    gap: 5px;
    justify-content: center;
}

.blog-pagination .page-numbers li a,
.blog-pagination .page-numbers li span {
    padding: 12px 18px;
    color: #E8E8EA;
    font-weight: normal;
}

.blog-pagination .current,
.blog-pagination .page-numbers li a:hover {
    border-radius: 8px;
    background: #FFF2E8;
    color: #0D1F46 !important;
}

.blog-pagination {
    margin-top: 50px;
}

.blog-header {
    text-align: center;
    margin-bottom: 50px;
    max-width: 920px;
    margin-left: auto;
    margin-right: auto;
}

.blog-header h1,
.post-container h1 {
    margin-top: 0px;
    color: var(--e-global-color-c47cb52);
    font-size: 50px;
}

.post-container {
    margin: auto;
}

.post-container .author-date {
    justify-content: flex-start;
    margin-bottom: 30px;
}

.post-container .page-header img {
    margin-bottom: 20px;
}

.post-container img {
    max-height: 460px;
    object-fit: cover;
    width: 100%;
    border-radius: 12px;
}

.post-nav-links {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 30px;
}

a.post-nav-link {
    color: #0D1F46;
}

hr.post-nav-divider {
    border: 1px solid #3F3F3F2B;
    margin-top: 35px;
    margin-bottom: 25px;
}

.related-posts {
    margin-top: 50px;
}

.entry-title a {
    color: #0D1F46;
}

.blog-content .featured-post p {
    font-size: 16px;
}

/* End Blog */


/* Slow Slider Carousel */
@-webkit-keyframes scroll {
    0% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
    }

    100% {
        -webkit-transform: translateX(calc(-250px * 7));
        transform: translateX(calc(-250px * 7));
    }
}

@keyframes scroll {
    0% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
    }

    100% {
        -webkit-transform: translateX(calc(-250px * 7));
        transform: translateX(calc(-250px * 7));
    }
}

.slider {
    margin: auto;
    overflow: hidden;
    position: relative;
}


.slider::after {
    right: 0;
    top: 0;
    -webkit-transform: rotateZ(180deg);
    transform: rotateZ(180deg);
}

.slider::before {
    left: 0;
    top: 0;
}

.slider .slide-track {
    -webkit-animation: scroll 40s linear infinite;
    animation: scroll 40s linear infinite;
    width: calc(250px * 14);
}

.elementor-slideshow__footer {
    display: none;
}

.wp-caption-text {
    background: white;
    margin-top: -65px !important;
    width: 100% !important;
    z-index: 100;
    position: relative;
    padding: 25px !important;
    border-radius: 0px 0px 20px 20px;
}

sub.tm-style {
    font-size: 0.45em;
    bottom: 1em;
    left: 3px;
    font-weight: 600;
}

sub.tm-h1-style {
    font-size: 0.25em;
    top: -2.4em;
    margin-left: 4px;
}

.policy-content ul,
.policy-content ul li,
.policy-content ol li,
.policy-content ol {
    margin-bottom: 20px;
}

@media only screen and (max-width: 992px) {
    .grid-posts {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
}

@media only screen and (min-width: 768px) {
    .responsive-br {
        display: none;
    }
}

@media only screen and (max-width: 768px) {
    .grid-posts {
        grid-template-columns: repeat(1, minmax(0, 1fr));
    }

    .featured-post {
        margin-bottom: 30px;
        padding-bottom: 30px;
        grid-template-columns: 100%;
        gap: 20px;
    }

    .content-title-blog {
        margin-bottom: 20px;
    }

    .blog-main,
    .post-container {
        padding: 60px 20px 60px !important;
    }

    .blog-header {
        margin-bottom: 30px;
    }

    .post-container img {
        max-height: 300px;
    }

    #post-content .entry-title {
        font-size: 35px;
    }

    .featured-post-image {
        max-height: 350px;
    }

    h2.content-title-blog {
        font-size: 28px;
    }

    .blog-header h1,
    .post-container h1 {
        font-size: 40px;
    }

    #post-content h2 {
        font-size: 28px;
    }

    #post-content h3 {
        font-size: 20px;
    }

    #post-content h4 {
        font-size: 18px;
    }

    #post-content h5 {
        font-size: 16px;
    }
}